com.aliyun.player.source

## Enum VidSourceBase.ResultType

- java.lang.Object
- - java.lang.Enum<VidSourceBase.ResultType>
  - - com.aliyun.player.source.VidSourceBase.ResultType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VidSourceBase.ResultType>
  Enclosing class:
    VidSourceBase

      public static enum VidSourceBase.ResultType
      extends java.lang.Enum<VidSourceBase.ResultType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Multiple` 每种清晰度和格式返回所有转码完成的流。
    `Single` 每种清晰度和格式只返回一路最新转码完成的流。(默认)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResultType()` 获取数据类型
    `static VidSourceBase.ResultType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VidSourceBase.ResultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Single

          public static final VidSourceBase.ResultType Single

      每种清晰度和格式只返回一路最新转码完成的流。(默认)

    - #### Multiple

          public static final VidSourceBase.ResultType Multiple

      每种清晰度和格式返回所有转码完成的流。

  - ### Method Detail

    - #### values

          public static VidSourceBase.ResultType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VidSourceBase.ResultType c : VidSourceBase.ResultType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VidSourceBase.ResultType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getResultType

          public java.lang.String getResultType()

      获取数据类型
      Returns:
        数据类型